%define upstream_name    ORLite-Mirror
%define upstream_version 1.24

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 13

Summary:    Extend ORLite to support remote SQLite databases
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/ORLite/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(File::HomeDir) >= 0.690.0
BuildRequires: perl(File::Path) >= 2.40.0
BuildRequires: perl(File::Remove) >= 1.420.0
BuildRequires: perl(File::ShareDir) >= 1.0.0
BuildRequires: perl(File::Spec) >= 0.800.0
BuildRequires: perl(inc::Module::Install::DSL)
BuildRequires: perl(IO::Compress::Bzip2) >= 2.8.0
BuildRequires: perl(IO::Compress::Gzip) >= 2.8.0
BuildRequires: perl(IO::Uncompress::Bunzip2) >= 2.8.0
BuildRequires: perl(IO::Uncompress::Gunzip) >= 2.8.0
BuildRequires: perl(LWP::Online) >= 1.70.0
BuildRequires: perl(LWP::UserAgent) >= 5.806.0
BuildRequires: perl(ORLite) >= 1.370.0
BuildRequires: perl(Params::Util) >= 0.330.0
BuildRequires: perl(Test::More) >= 0.470.0
BuildRequires: perl(URI) >= 1.350.0
BuildArch:  noarch

%{?perl_default_filter}

%description
the ORLite manpage provides a readonly ORM API when it loads a readonly
SQLite database from your local system.

By combining this capability with the LWP manpage, the ORLite::Mirror
manpage goes one step better and allows you to load a SQLite database from
any arbitrary URI in readonly form as well.

As demonstrated in the synopsis above, you using the ORLite::Mirror manpage
in the same way, but provide a URL instead of a file name.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%make_install

%files
%doc Changes LICENSE META.yml MYMETA.yml README example
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Mon Mar 28 2022 umeabot <umeabot> 1.240.0-13.mga9
+ Revision: 1830196
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.240.0-12.mga8
+ Revision: 1505780
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 1.240.0-11.mga7
+ Revision: 1285449
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 1.240.0-10.mga7
+ Revision: 1166113
- rebuild with fixed rpm for missing autodeps

* Wed Sep 27 2017 tv <tv> 1.240.0-9.mga7
+ Revision: 1160502
- add BR on perl(inc::Module::Install::DSL)

* Sun Jun 19 2016 pterjan <pterjan> 1.240.0-8.mga6
+ Revision: 1031592
- Rebuild for perl 5.22.2

* Thu Feb 04 2016 umeabot <umeabot> 1.240.0-7.mga6
+ Revision: 934459
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.240.0-6.mga5
+ Revision: 746490
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.240.0-5.mga5
+ Revision: 732434
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.240.0-4.mga5
+ Revision: 685771
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.240.0-3.mga4
+ Revision: 513654
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.240.0-2.mga3
+ Revision: 371070
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 07 2012 jquelin <jquelin> 1.240.0-1.mga3
+ Revision: 315809
- update to 1.24

* Thu Feb 23 2012 jquelin <jquelin> 1.230.0-1.mga2
+ Revision: 213122
- update to 1.23
- update to 1.22

* Wed Jun 15 2011 jquelin <jquelin> 1.210.0-1.mga2
+ Revision: 107224
- update to 1.21

* Sun Jan 23 2011 jquelin <jquelin> 1.200.0-1.mga1
+ Revision: 34042
- mageia rebuild
- imported package perl-ORLite-Mirror

